stages:
  - build
  - lint
  - test
  - review
  - staging
  - production

include:
  - project: 'ucsdlibrary/development/gitlab-ci-tools'
    ref: trunk
    file: 'gitlab-ci-base.yml'
  - project: 'ucsdlibrary/development/gitlab-ci-tools'
    ref: trunk
    file: 'gitlab-ci-kaniko-build.yml'
  - project: 'ucsdlibrary/development/gitlab-ci-tools'
    ref: trunk
    file: 'gitlab-ci-helm-deploy.yml'
  - local: ci/lint.yml
  - local: ci/test.yml

# Local depoyment overrides from shared templates
highfive:review:
  extends: [.review]
  variables:
    HELM_UPGRADE_EXTRA_ARGS: >
      --set ingress.hosts[0].host=$CI_PROJECT_NAME-$CI_MERGE_REQUEST_ID.$REVIEW_DOMAIN
      --values chart/review.yaml

highfive:staging:
  extends: [.staging]
  variables:
    HELM_UPGRADE_EXTRA_ARGS: >
      --values chart/staging.yaml

highfive:production:
  extends: [.production]
  variables:
    HELM_UPGRADE_EXTRA_ARGS: >
      --values chart/production.yaml
